# Annotation Interface GenerateTypeAdapter

@Inherited @Retention(RUNTIME) @Target(TYPE) public @interface GenerateTypeAdapter
Annotate a given AutoValue-annotated type to indicate to auto-value-gson to generate its TypeAdapter in a separate class rather than an inner class of an intermediate AutoValue-generated class hierarchy.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.google.gson.TypeAdapterFactory`
`FACTORY`

## Field Details

### FACTORY

static final com.google.gson.TypeAdapterFactory FACTORY